## javax.media.jai.registry
Class CRIFRegistry

    java.lang.Object
      |
      +--javax.media.jai.registry.CRIFRegistry

public final class CRIFRegistry
extends java.lang.Object

Utility class to provide type-safe interaction with the `OperationRegistry` for `ContextualRenderedImageFactory` objects. If the `OperationRegistry` is `null`, then `JAI.getDefaultInstance().getOperationRegistry()` will be used.

Since:
  JAI 1.1

Constructor Summary
`CRIFRegistry()`

Method Summary
`static java.awt.image.RenderedImage` `create(OperationRegistry registry, java.lang.String operationName, java.awt.image.renderable.RenderContext context, java.awt.image.renderable.ParameterBlock paramBlock)` Creates a rendering, given a RenderContext and a ParameterBlock containing the operation's sources and parameters.
`static java.awt.image.renderable.ContextualRenderedImageFactory` `get(OperationRegistry registry, java.lang.String operationName)` Returns the `ContextualRenderedImageFactory` object registered against the operation name.
`static PropertySource` `getPropertySource(RenderableOp op)` Constructs and returns a `PropertySource` suitable for use by a given `RenderableOp`.
`static void` `register(OperationRegistry registry, java.lang.String operationName, java.awt.image.renderable.ContextualRenderedImageFactory crif)` Register a CRIF with a particular operation against a specified mode.
`static void` `unregister(OperationRegistry registry, java.lang.String operationName, java.awt.image.renderable.ContextualRenderedImageFactory crif)` Unregister a CRIF previously registered with an operation against the specified mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CRIFRegistry

    public CRIFRegistry()

Method Detail

### register

    public static void register(OperationRegistry registry,
                                java.lang.String operationName,
                                java.awt.image.renderable.ContextualRenderedImageFactory crif)

  Register a CRIF with a particular operation against a specified mode. This is JAI 1.0.x equivalent of `registry.registerCRIF(...)`
  Parameters:
    `registry` - the `OperationRegistry` to register with. if this is `null`, then `JAI.getDefaultInstance().getOperationRegistry()` will be used.
    `operationName` - the operation name as a `String`
    `crif` - the `ContextualRenderedImageFactory` to be registered
  Throws:
    `java.lang.IllegalArgumentException` - if operationName or crif is `null`
    `java.lang.IllegalArgumentException` - if there is no `OperationDescriptor` registered against the `operationName`

### unregister

    public static void unregister(OperationRegistry registry,
                                  java.lang.String operationName,
                                  java.awt.image.renderable.ContextualRenderedImageFactory crif)

  Unregister a CRIF previously registered with an operation against the specified mode.
  Parameters:
    `registry` - the `OperationRegistry` to unregister from. if this is `null`, then `JAI.getDefaultInstance().getOperationRegistry()` will be used.
    `operationName` - the operation name as a `String`
    `crif` - the `ContextualRenderedImageFactory` to be unregistered
  Throws:
    `java.lang.IllegalArgumentException` - if operationName or crif is `null`
    `java.lang.IllegalArgumentException` - if there is no `OperationDescriptor` registered against the `operationName`
    `java.lang.IllegalArgumentException` - if the crif was not previously registered against operationName

### get

    public static java.awt.image.renderable.ContextualRenderedImageFactory get(OperationRegistry registry,
                                                                               java.lang.String operationName)

  Returns the `ContextualRenderedImageFactory` object registered against the operation name.
  Parameters:
    `registry` - the `OperationRegistry` to use. if this is `null`, then `JAI.getDefaultInstance().getOperationRegistry()` will be used.
    `operationName` - the operation name as a `String`
  Returns:
    a registered `ContextualRenderedImageFactory` object
  Throws:
    `java.lang.IllegalArgumentException` - if operationName is `null`
    `java.lang.IllegalArgumentException` - if there is no `OperationDescriptor` registered against the `operationName`

### create

    public static java.awt.image.RenderedImage create(OperationRegistry registry,
                                                      java.lang.String operationName,
                                                      java.awt.image.renderable.RenderContext context,
                                                      java.awt.image.renderable.ParameterBlock paramBlock)

  Creates a rendering, given a RenderContext and a ParameterBlock containing the operation's sources and parameters. The registry is used to determine the CRIF to be used to instantiate the operation.
  Parameters:
    `registry` - the `OperationRegistry` to use. if this is `null`, then `JAI.getDefaultInstance().getOperationRegistry()` will be used.
    `operationName` - the operation name as a `String`
    `context` - a `RenderContext` object containing the rendering context.
    `paramBlock` - the operation's ParameterBlock.
  Throws:
    `java.lang.IllegalArgumentException` - if operationName is `null`
    `java.lang.IllegalArgumentException` - if there is no `OperationDescriptor` registered against the `operationName`

### getPropertySource

    public static PropertySource getPropertySource(RenderableOp op)

  Constructs and returns a `PropertySource` suitable for use by a given `RenderableOp`. The `PropertySource` includes properties copied from prior nodes as well as those generated at the node itself. Additionally, property suppression is taken into account. The actual implementation of `getPropertySource()` may make use of deferred execution and caching.
  Parameters:
    `op` - the `RenderableOp` requesting its `PropertySource`.
  Throws:
    `java.lang.IllegalArgumentException` - if `op` is `null`